import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (i, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, s = i.length - 1, n; s >= 0; s--)
    (n = i[s]) && (e = (r ? n(t, o, e) : n(e)) || e);
  return r && e && f(t, o, e), e;
};
let c = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--checkboxUnselectedLarge", this.class = "c-pieIcon c-pieIcon--checkboxUnselectedLarge", this.name = "IconCheckboxUnselectedLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--checkboxUnselectedLarge"><path d="M24.75 27.375H7.25a2.633 2.633 0 0 1-2.625-2.625V7.25A2.633 2.633 0 0 1 7.25 4.625h17.5a2.633 2.633 0 0 1 2.625 2.625v17.5a2.633 2.633 0 0 1-2.625 2.625Zm-17.5-21a.878.878 0 0 0-.875.875v17.5c0 .481.394.875.875.875h17.5a.878.878 0 0 0 .875-.875V7.25a.878.878 0 0 0-.875-.875H7.25Z"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], c.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], c.prototype, "class", 2);
c = p([
  g("icon-checkbox-unselected-large")
], c);
export {
  c as IconCheckboxUnselectedLarge
};
